%define oname   kgio

Name:       ruby-%{oname}
Version:    2.11.4
Release:    %mkrel 2
Summary:    Kinder, gentler I/O for Ruby
License:    Ruby or GPLv2
Group:      Development/Ruby
URL:        https://bogomips.org/kgio/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: pkgconfig(ruby)
BuildRequires: rubygems
BuildRequires: rubygem(olddoc)
BuildRequires: rubygem(tidy_ffi)

%description
kgio provides non-blocking I/O methods for Ruby without raising
exceptions on EAGAIN and EINPROGRESS.  It is intended for use with the
Unicorn and Rainbows! Rack servers, but may be used by other
applications.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc LICENSE README TODO NEWS LATEST HACKING ISSUES
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
export VERSION=%{version}
%gem_build

%install
export VERSION=%{version}
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext


%changelog
* Wed Dec 04 2024 pterjan <pterjan> 2.11.4-2.mga10
+ Revision: 2121559
- Rebuild for Ruby 3.3

* Mon Aug 15 2022 pterjan <pterjan> 2.11.4-1.mga9
+ Revision: 1877738
- Update to 2.11.4

* Sat Mar 26 2022 umeabot <umeabot> 2.11.2-6.mga9
+ Revision: 1827822
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 2.11.2-5.mga9
+ Revision: 1784592
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 2.11.2-4.mga8
+ Revision: 1553162
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 2.11.2-3.mga8
+ Revision: 1516644
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.11.2-2.mga7
+ Revision: 1300885
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 pterjan <pterjan> 2.11.2-1.mga7
+ Revision: 1214533
- Update to 2.11.2
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 2.11.0-1.mga7
+ Revision: 1142126
- Update to 2.11.0
- Rebuild for new Ruby

* Sat Dec 19 2015 pterjan <pterjan> 2.10.0-1.mga6
+ Revision: 912352
- Update to 2.10.0
+ spuhler <spuhler>
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 2.7.4-12.mga5
+ Revision: 747484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.4-11.mga5
+ Revision: 688849
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.7.4-10.mga4
+ Revision: 562734
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 2.7.4-9.mga4
+ Revision: 559598
- Fix forgotten buildroot

* Sat Dec 21 2013 pterjan <pterjan> 2.7.4-8.mga4
+ Revision: 559590
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 2.7.4-7.mga4
+ Revision: 538653
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.7.4-6.mga4
+ Revision: 482145
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 2.7.4-5.mga4
+ Revision: 479991
- BuildRequires tidy_ffi
- Fix file list
- Use gem_setup
- BuildRequires wrongdoc

* Fri Feb 08 2013 umeabot <umeabot> 2.7.4-4.mga3
+ Revision: 396120
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.7.4-3.mga3
+ Revision: 381085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.7.4-2.mga3
+ Revision: 313102
- doc is a noarch package

* Sat Nov 03 2012 fwang <fwang> 2.7.4-1.mga3
+ Revision: 313096
- new version 2.7.4

* Wed Apr 06 2011 shikamaru <shikamaru> 2.3.3-1.mga1
+ Revision: 81540
- disable test for now due to weird error on the BS
- imported package ruby-kgio

